#
# spec file for package go-mango-doc
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2014 Cédric Bosdonnat <cbosdonnat@suse.com>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           go-mango-doc
Version:        0.0.0+hg20141127
Release:        5.6
Summary:        Automatically create man pages from Go packages
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://code.google.com/p/mango-doc
Source:         mango-doc-%{version}.tar.gz
BuildRequires:  go-devel
BuildRequires:  golang-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{go_requires}
%{go_provides}
%if 0%{?suse_version} >= 1100
BuildRequires:  fdupes
%endif

%description
Create a man page from a Go package's source file's documentation.

%prep
%setup -q -n mango-doc

%build
%goprep code.google.com/p/mango-doc
%gobuild
%{_builddir}/go/bin/mango-doc >mango-doc.1

%install
%goinstall
install -D -m 0644 %{_builddir}/mango-doc/mango-doc.1 %{buildroot}%{_mandir}/man1/mango-doc.1

%if 0%{?suse_version} >= 1100
%fdupes %{buildroot}%{_prefix}
%endif

%files
%defattr(-,root,root,-)
%{_bindir}/mango-doc
%{_mandir}/man1/mango-doc.1*

%changelog
* Fri Aug 26 2016 normand@linux.vnet.ibm.com
- add golang-packaging as BuildRequires
* Sat Mar 21 2015 i@marguerite.su
- update version 0.0.0+hg20141127
* Thu Sep 18 2014 cbosdonnat@suse.com
- Created package from mercurial repository head
